# Class CLNImageViews

java.lang.Object
com.io7m.calino.imageview.CLNImageViews

All Implemented Interfaces:
  `CLNImageViewFactoryType`

public final class CLNImageViews extends Object implements CLNImageViewFactoryType
The default factory of image views.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNImageViews()`
  The default factory of image views.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLNImageView2DType`
  `createImageView2D(CLNImageInfo imageInfo, CLNImage2DDescription image2DDescription, byte[] data)`
  Create a new view of the given data.
  `CLNImageView2DType`
  `createImageViewArray(CLNImageInfo imageInfo, CLNImageArrayDescription imageArrayDescription, byte[] data)`
  Create a new view of the given data.
  `CLNImageView2DType`
  `createImageViewCube(CLNImageInfo imageInfo, CLNImageCubeDescription imageCubeDescription, byte[] data)`
  Create a new view of the given data.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CLNImageViews

    public CLNImageViews()
    The default factory of image views.

- ## Method Details

  - ### createImageView2D

    public CLNImageView2DType createImageView2D(CLNImageInfo imageInfo, CLNImage2DDescription image2DDescription, byte[] data)
    Description copied from interface: `CLNImageViewFactoryType`
    Create a new view of the given data.
    Specified by:
      `createImageView2D` in interface `CLNImageViewFactoryType`
    Parameters:
      `imageInfo` - The image info
      `image2DDescription` - The particular 2D image description
      `data` - The raw image bytes
    Returns:
      A new image view

  - ### createImageViewArray

    public CLNImageView2DType createImageViewArray(CLNImageInfo imageInfo, CLNImageArrayDescription imageArrayDescription, byte[] data)
    Description copied from interface: `CLNImageViewFactoryType`
    Create a new view of the given data.
    Specified by:
      `createImageViewArray` in interface `CLNImageViewFactoryType`
    Parameters:
      `imageInfo` - The image info
      `imageArrayDescription` - The particular array image description
      `data` - The raw image bytes
    Returns:
      A new image view

  - ### createImageViewCube

    public CLNImageView2DType createImageViewCube(CLNImageInfo imageInfo, CLNImageCubeDescription imageCubeDescription, byte[] data)
    Description copied from interface: `CLNImageViewFactoryType`
    Create a new view of the given data.
    Specified by:
      `createImageViewCube` in interface `CLNImageViewFactoryType`
    Parameters:
      `imageInfo` - The image info
      `imageCubeDescription` - The particular cube image description
      `data` - The raw image bytes
    Returns:
      A new image view